### DB_SEQUENCE->set_cachesize

`

###

    #include <db.h>

    int
    DB_SEQUENCE->set_cachesize(DB_SEQUENCE *seq, int32_t size);

    int
    DB_SEQUENCE->get_cachesize(DB_SEQUENCE *seq, int32_t *sizep);

### Description: DB_SEQUENCE->set_cachesize

Configure the number of elements cached by a sequence handle.

The DB_SEQUENCE->set_cachesize method may not be called after the DB_SEQUENCE->open method is called.

The DB_SEQUENCE->set_cachesize method returns a non-zero error value on failure and 0 on success.

### Parameters

size
  The number of elements in the cache.

### Errors

The DB_SEQUENCE->set_cachesize method may fail and return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Description: DB_SEQUENCE->get_cachesize

The DB_SEQUENCE->get_cachesize method returns the current cache size.

The DB_SEQUENCE->get_cachesize method may be called at any time during the life of the application.

The DB_SEQUENCE->get_cachesize method returns a non-zero error value on failure and 0 on success.

### Parameters

sizep
  The DB_SEQUENCE->get_cachesize method returns the current cache size in sizep.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods`

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.